Bug 805008 - [abrt] java-1.7.0-openjdk-1.7.0.3-2.1.fc16.1: __GI_raise: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.3-2.1.fc16.1: __GI_raise: Process /usr/lib/jv...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
abrt_hash:9c0e00ae502d28d86a78dce9bbe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 08:35 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:26 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.76 KB, text/plain)
2012-03-20 08:35 EDT, Krzysztof Daniel
no flags Details
File: maps (25.50 KB, text/plain)
2012-03-20 08:35 EDT, Krzysztof Daniel
no flags Details
File: backtrace (41.34 KB, text/plain)
2012-03-20 08:35 EDT, Krzysztof Daniel
no flags Details

  None (edit)
Description Krzysztof Daniel 2012-03-20 08:35:07 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120305-1904.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_3.8.0.v20120111-1427/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120305-1541/eclipse_1501.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120305-1904.jar --launcher.overrideVmargs -exitdata 70600a3 -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120305-1904.jar
crash_function: __GI_raise
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java
kernel:         3.2.10-3.fc16.x86_64
pid:            27644
pwd:            /home/kdaniel/Documents
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
time:           Tue 20 Mar 2012 01:28:37 PM CET
uid:            1000
username:       kdaniel

backtrace:      Text file, 42336 bytes
dso_list:       Text file, 5900 bytes
maps:           Text file, 26115 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:af30fb8d81d37c69c3c36148a193d226768adf45
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:8264e35452b2a930c1b9b092b87f32d42d69d8c5
:f7adce6f8f8ac6a8ed3b5a1da2dd760a51cdc9a7
:12ebe599358398f2c1a5294bb2dd387545474b65
:51d63d907f41da540d9a404c4d69515837f47345
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:48aea888319e1848137073c9cbde54a4c2a731c9
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:6d0f4c5345760fc0e3c6c9332946494db49b748b
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:0a52f817ec105b70d0d288d46ff0c16aa7ee1e46
:893c41e348571ef1566d9dc30158466ef30eb067
:4c842320387ff7f6f91b7842b223c16518be909f
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:878c0dd6f45090622102cf2151861b669349429d
:f0d50e3af2dfee021a327fb85a993a2312a98145
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:07470201df55a5254027d05fa4dc509b10f2986a
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:c5e777db418e7b567423c9ee00a707a172a7f824
:2c1aecf8a0f2035e272f78734e2eef304d81ef8d
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:f17340fa9ba8d05d4f9389767d828dc327b38163
:82cca0d5b06a649072a966dc4f05aded63d736bc
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:2670385f49fb9f120f7cf843f211e3c620da8632
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1726
:XDG_SESSION_ID=2
:HOSTNAME=kdanielX220Fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=a99885e8b2e98e326ea891170000001b-1332052991.262372-1159057658
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/kdaniel/.gtkrc-2.0:/home/kdaniel/.gtkrc-2.0-kde4:/home/kdaniel/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/tmp/keyring-10cfGp
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=kdaniel
:SSH_AUTH_SOCK=/tmp/ssh-GhPegsKQ1596/agent.1596
:USERNAME=kdaniel
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/kdaniel/.local/bin:/home/kdaniel/bin
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/kdaniel
:QT_IM_MODULE=xim
:PWD=/home/kdaniel
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1588
:LANG=en_US.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:HOME=/home/kdaniel
:XDG_SEAT=seat0
:SHLVL=2
:KDE_SESSION_VERSION=4
:LOGNAME=kdaniel
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-t3Poim2dsJ,guid=e3d3fc013f1ba8c66b6cc38700000102
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/kdaniel
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/kdaniel/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-kdaniel/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1814,unix/unix:/tmp/.ICE-unix/1814
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/kdaniel/.gtkrc:/home/kdaniel/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=kdanielX220Fedora;1332246517;375779;1898_TIME161150614

var_log_messages:
:Mar 18 07:40:40 kdanielX220Fedora jetty[1092]: 2012-03-18 07:40:40.085:INFO:oejd.DeploymentManager:Deployable added: /etc/jetty/contexts/javadoc.xml
:Mar 20 13:28:38 kdanielX220Fedora abrt[27657]: Saved core dump of pid 27644 (/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java) to /var/spool/abrt/ccpp-2012-03-20-13:28:37-27644 (105177088 bytes)
Comment 1 Krzysztof Daniel 2012-03-20 08:35:11 EDT
Created attachment 571384 [details]
File: dso_list
Comment 2 Krzysztof Daniel 2012-03-20 08:35:13 EDT
Created attachment 571385 [details]
File: maps
Comment 3 Krzysztof Daniel 2012-03-20 08:35:15 EDT
Created attachment 571386 [details]
File: backtrace
Comment 4 Deepak Bhole 2012-03-20 08:56:00 EDT
Started in Eclipse's JNI code:

#31 0x00007f678f4de908 in Java_org_eclipse_equinox_launcher_JNIBridge__1show_1splash (env=0x7f67980079d0, obj=0x7f679c78d7b8, s=0x7f679c78d7b0) at ../eclipseJNI.c:124
        data = 0x7f67981bc290 "/usr/lib64/eclipse//plugins/org.eclipse.platform_3.8.0.v20120111-1427/splash.bmp"
Comment 5 Alexander Kurtakov 2012-06-12 17:08:21 EDT
Chris, shoulw we close this one or you have a reproducer?
Comment 6 Krzysztof Daniel 2012-06-14 07:44:08 EDT
I do not have a reproducer. 

I looked at the Deepak's input, reviewed attachments and found that the error was caused by:

Error creating thread: Resource temporarily unavailable (g_thread_error, 0)

which indicates resources shortage. Could be Eclipse leaking something or simply using all available within limit resources.

I'd like to open a parent bug ("mysterious crashes") and make it a parent one. Maybe we will discover some patterns. Is that fine?
Comment 7 Fedora End Of Life 2013-01-16 09:29:22 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 10:33:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.